com.aliyun.svideosdk.mixrecorder

## Class AliyunMixTrackLayoutParam.Builder

- java.lang.Object
- - com.aliyun.svideosdk.mixrecorder.AliyunMixTrackLayoutParam.Builder

- Enclosing class:
    AliyunMixTrackLayoutParam

      public static final class AliyunMixTrackLayoutParam.Builder
      extends java.lang.Object

  `AliyunMixTrackLayoutParam` builder static inner class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AliyunMixTrackLayoutParam.Builder` | `borderParam(AliyunMixBorderParam param)` Set mixed video border parameter Added in v3.21.0
    `AliyunMixTrackLayoutParam` | `build()` Returns a `AliyunMixTrackLayoutParam` built from the parameters previously set.
    `AliyunMixTrackLayoutParam.Builder` | `centerX(float val)` Sets the `mCenterX` and returns a reference to this Builder so that the methods can be chained together.
    `AliyunMixTrackLayoutParam.Builder` | `centerY(float val)` Sets the `mCenterY` and returns a reference to this Builder so that the methods can be chained together.
    `AliyunMixTrackLayoutParam.Builder` | `heightRatio(float val)` Sets the `mHeightRatio` and returns a reference to this Builder so that the methods can be chained together.
    `AliyunMixTrackLayoutParam.Builder` | `widthRatio(float val)` Sets the `mWidthRatio` and returns a reference to this Builder so that the methods can be chained together.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### centerX

          public AliyunMixTrackLayoutParam.Builder centerX(float val)

      Sets the `mCenterX` and returns a reference to this Builder so that the methods can be chained together. Sets the x coordinate of the track centroid relative to the origin.
      Parameters:
        `val` - The `mCenterX` must be within the range of [0，1]. If an invalid value is specified, the nearest threshold value is used.
      Returns:
        A reference to this Builder.

    - #### centerY

          public AliyunMixTrackLayoutParam.Builder centerY(float val)

      Sets the `mCenterY` and returns a reference to this Builder so that the methods can be chained together. Sets the y coordinate of the track centroid relative to the origin.
      Parameters:
        `val` - The `mCenterY` must be within the range of [0，1]. If an invalid value is specified, the nearest threshold value is used.
      Returns:
        A reference to this Builder.

    - #### widthRatio

          public AliyunMixTrackLayoutParam.Builder widthRatio(float val)

      Sets the `mWidthRatio` and returns a reference to this Builder so that the methods can be chained together. Sets the width of the track relative to the video output width.
      Parameters:
        `val` - The `mWidthRatio` must be within the range of [0，1]. If an invalid value is specified, the nearest threshold value is used.
      Returns:
        A reference to this Builder.

    - #### heightRatio

          public AliyunMixTrackLayoutParam.Builder heightRatio(float val)

      Sets the `mHeightRatio` and returns a reference to this Builder so that the methods can be chained together. Sets the height of the track relative to the video output height.
      Parameters:
        `val` - The `mHeightRatio` must be within the range of [0，1]. If an invalid value is specified, the nearest threshold value is used.
      Returns:
        A reference to this Builder.

    - #### borderParam

          public AliyunMixTrackLayoutParam.Builder borderParam(AliyunMixBorderParam param)

      Set mixed video border parameter Added in v3.21.0
      Parameters:
        `param` - mix video border parameter `AliyunMixBorderParam`
      Returns:
        a reference to this Builder

    - #### build

          public AliyunMixTrackLayoutParam build()

      Returns a `AliyunMixTrackLayoutParam` built from the parameters previously set.
      Returns:
        A `AliyunMixTrackLayoutParam` built with parameters of `AliyunMixTrackLayoutParam.Builder`.